Disk ARchive: libdar::archive Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | Friends | List of all members
libdar::archive Class Reference
API

the archive class realizes the most general operations on archives More...

`#include <archive.hpp>`

## Classes
class | i_archive
| the archive::i_archive class implements the most general operations on archives More...

## Public Member Functions
| archive (const std::shared_ptr< user_interaction > &dialog, const path &chem, const std::string &basename, const std::string &extension, const archive_options_read &options)
| this constructor opens an already existing archive (for reading) [this is the "read" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &fs_root, const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_create &options, statistics *progressive_report)
| this constuctor create an archive (full or differential) [this is the "create" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &sauv_path, std::shared_ptr< archive > ref_arch1, const std::string &filename, const std::string &extension, const archive_options_merge &options, statistics *progressive_report)
| this constructor builds an archive from two given archive [this is the "merge" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &chem_src, const std::string &basename_src, const std::string &extension_src, const archive_options_read &options_read, const path &chem_dst, const std::string &basename_dst, const std::string &extension_dst, const archive_options_repair &options_repair, statistics *progressive_report=nullptr)
| this constructor create a new archive from a damaged one [this is the "repair" constructor]
| archive (const archive &ref)=delete
| copy constructor (not implemented, throw an exception if called explicitely or implicitely)
| archive (archive &&ref)=delete
archive & | operator= (const archive &ref)=delete
archive & | operator= (archive &&ref)=delete
| ~archive ()
| the destructor
statistics | op_extract (const path &fs_root, const archive_options_extract &options, statistics *progressive_report)
| extraction of data from an archive
void | summary ()
| display a summary of the archive
archive_summary | summary_data ()
| same information as summary() but as broken out data
void | op_listing (archive_listing_callback callback, void *context, const archive_options_listing &options) const
| listing of the archive contents
statistics | op_diff (const path &fs_root, const archive_options_diff &options, statistics *progressive_report)
| archive comparison with filesystem
statistics | op_test (const archive_options_test &options, statistics *progressive_report)
| test the archive integrity
void | op_isolate (const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_isolate &options)
| this methodes isolates the catalogue of a the current archive into a separated archive
bool | get_children_of (archive_listing_callback callback, void *context, const std::string &dir, bool fetch_ea=false)
| getting information about a given directory
const std::vector< list_entry > | get_children_in_table (const std::string &dir, bool fetch_ea=false) const
| getting information about the given directory (alternative to get_children_of)
bool | has_subdirectory (const std::string &dir) const
| returns true if the pointed directory has one or more subdirectories
const entree_stats | get_stats () const
| retrieving statistics about archive contents
const std::list< signator > & | get_signatories () const
| retrieving signature information about the archive
void | init_catalogue () const
void | drop_all_filedescriptors (bool repairing=false)
| closes all filedescriptors and associated even when in sequential read mode
void | set_to_unsaved_data_and_FSA ()
| change all inode as unsaved (equal to differential backup with no change met)
U_64 | get_first_slice_header_size () const
| get the first slice header
U_64 | get_non_first_slice_header_size () const
| get the non first slice header

## Private Attributes
std::shared_ptr< i_archive > | pimpl

## Friends
class | database

## Detailed Description

the archive class realizes the most general operations on archives

the operations corresponds to the one the final user expects, these are the same abstraction level as the operation realized by the DAR command line tool.

Definition at line 67 of file archive.hpp.

The documentation for this class was generated from the following file:

- archive.hpp